org.opencv.core

## Class Algorithm

- java.lang.Object
- - org.opencv.core.Algorithm

- Direct Known Subclasses:
    AdaptiveManifoldFilter, AlignExposures, BackgroundSubtractor, BaseCascadeClassifier, BIF, CalibrateCRF, CLAHE, ContourFitting, DenseOpticalFlow, DescriptorMatcher, DisparityFilter, DTFilter, EdgeBoxes, ERFilter, Facemark, FaceRecognizer, FastBilateralSolverFilter, FastGlobalSmootherFilter, FastLineDetector, Feature2D, GeneralizedHough, GraphSegmentation, GuidedFilter, ImgHashBase, Layer, LineSegmentDetector, MACE, MergeExposures, MultiTracker, PCTSignatures, PCTSignaturesSQFD, PhaseUnwrapping, Plot2d, Retina, RetinaFastToneMapping, RFFeatureGetter, RidgeDetectionFilter, SelectiveSearchSegmentation, SelectiveSearchSegmentationStrategy, SparseMatchInterpolator, SparseOpticalFlow, StatModel, StereoMatcher, StructuredEdgeDetection, StructuredLightPattern, SuperpixelLSC, SuperpixelSEEDS, SuperpixelSLIC, SyntheticSequenceGenerator, Tonemap, Tracker, TransientAreasSegmentationModule, WhiteBalancer

      public class Algorithm
      extends Object

  This is a base class for all more or less complex algorithms in OpenCV especially for classes of algorithms, for which there can be multiple implementations. The examples are stereo correspondence (for which there are algorithms like block matching, semi-global block matching, graph-cut etc.), background subtraction (which can be done using mixture-of-gaussians models, codebook-based algorithm etc.), optical flow (block matching, Lucas-Kanade, Horn-Schunck etc.). Here is example of SimpleBlobDetector use in your application via Algorithm interface: SNIPPET: snippets/core_various.cpp Algorithm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Algorithm(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Algorithm` | `__fromPtr__(long addr)`
    `void` | `clear()` Clears the algorithm state
    `boolean` | `empty()` Returns true if the Algorithm is empty (e.g.
    `protected void` | `finalize()`
    `String` | `getDefaultName()` Returns the algorithm string identifier.
    `long` | `getNativeObjAddr()`
    `void` | `save(String filename)` Saves the algorithm to a file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Algorithm

          protected Algorithm(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Algorithm __fromPtr__(long addr)

    - #### getDefaultName

          public String getDefaultName()

      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Returns:
        automatically generated

    - #### empty

          public boolean empty()

      Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read
      Returns:
        automatically generated

    - #### clear

          public void clear()

      Clears the algorithm state

    - #### save

          public void save(String filename)

      Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage& fs).
      Parameters:
        `filename` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7